Get Customer Type

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the details of Customer types.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/customer/type

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details:

  • Customer Type Id
  • Customer Type Name
  • Customer Type Description
  • Is Active
  • Modified On

Request Parameters

To fetch Partner type, use the provided end point url.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/customer/type

Response

[
    {
        "id": 1,
        "name": "Buyer",
        "description": "Buyer",
        "is_active": true,
        "is_system_defined": true,
        "is_customer": true,
        "is_partner": false,
        "modified_on": "2024-01-25T12:25:29.4358791Z"
    },
    {
        "id": 2,
        "name": "Consignee",
        "description": "Consignee",
        "is_active": true,
        "is_system_defined": true,
        "is_customer": true,
        "is_partner": false,
        "modified_on": "2024-01-25T12:25:29.4372382Z"
    },
  
  //Additional Customer Type Details
]  

This example demonstrates a request to fetch the customer types. The response includes details such as the Customer Type Id, Customer Type Name, Customer Type Description, etc.

Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json